Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.chart.get_quotes(symbols="AAPL,GOOGL,MSFT")
assert res.quotes_response is not None
# Handle response
print(res.quotes_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.chart.getQuotes({
symbols: "AAPL,GOOGL,MSFT",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/chart/quotes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/chart/quotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/chart/quotes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/chart/quotes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/chart/quotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"d": [
{
"n": "Apple INC",
"s": "AAPL",
"v": {
"ask": 130.92,
"ask_size": 200,
"bid": 130.88,
"bid_size": 300,
"ch": 2.15,
"chp": 1.67,
"description": "Apple Inc. Common Stock",
"exchange": "NASDAQ",
"high_price": 131.25,
"low_price": 129.3,
"lp": 130.89,
"open_price": 129.5,
"prev_close_price": 128.74,
"short_name": "Apple Inc.",
"volume": 45678900
}
},
{
"n": "Alphabet Inc",
"s": "GOOGL",
"v": {
"ask": 130.55,
"ask_size": 400,
"bid": 130.48,
"bid_size": 100,
"ch": -1.25,
"chp": -0.95,
"description": "Alphabet Inc. Class A Common Stock",
"exchange": "NASDAQ",
"high_price": 131.8,
"low_price": 130.1,
"lp": 130.5,
"open_price": 131.2,
"prev_close_price": 131.75,
"short_name": "Alphabet Inc.",
"volume": 23456789
}
}
],
"s": "ok"
}Chart
Quotes
Retrieves current market quotes for multiple symbols including bid/ask prices, last trade price, volume, and change metrics.
Use Case: Display live price quotes and market data for watchlists, ticker displays, and real-time trading dashboards.
GET
/
v1
/
chart
/
quotes
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.chart.get_quotes(symbols="AAPL,GOOGL,MSFT")
assert res.quotes_response is not None
# Handle response
print(res.quotes_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.chart.getQuotes({
symbols: "AAPL,GOOGL,MSFT",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/chart/quotes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/chart/quotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/chart/quotes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/chart/quotes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/chart/quotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"d": [
{
"n": "Apple INC",
"s": "AAPL",
"v": {
"ask": 130.92,
"ask_size": 200,
"bid": 130.88,
"bid_size": 300,
"ch": 2.15,
"chp": 1.67,
"description": "Apple Inc. Common Stock",
"exchange": "NASDAQ",
"high_price": 131.25,
"low_price": 129.3,
"lp": 130.89,
"open_price": 129.5,
"prev_close_price": 128.74,
"short_name": "Apple Inc.",
"volume": 45678900
}
},
{
"n": "Alphabet Inc",
"s": "GOOGL",
"v": {
"ask": 130.55,
"ask_size": 400,
"bid": 130.48,
"bid_size": 100,
"ch": -1.25,
"chp": -0.95,
"description": "Alphabet Inc. Class A Common Stock",
"exchange": "NASDAQ",
"high_price": 131.8,
"low_price": 130.1,
"lp": 130.5,
"open_price": 131.2,
"prev_close_price": 131.75,
"short_name": "Alphabet Inc.",
"volume": 23456789
}
}
],
"s": "ok"
}Authorizations
Query Parameters
Response
Quotes retrieved successfully
Response body for quote requests. Use it to render current market prices for one or more symbols.
Was this page helpful?